Bug 216888 - freeze after disconnection of DAAP source
freeze after disconnection of DAAP source
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhythmbox (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 10:29 EST by Jan Hutař
Modified: 2010-04-21 17:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 17:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace - RB killed on row 6 (1.19 KB, application/octet-stream)
2006-11-22 10:29 EST, Jan Hutař
no flags Details
program got unresponsive on row 55 -> pressed Ctrl+C (3.93 KB, text/plain)
2006-11-30 05:09 EST, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2006-11-22 10:29:55 EST
Description of problem:
When listening music from DAAP and source unexpectedly disconnects (closes his 
rhythmbox), my rhythmbox freezes.


Version-Release number of selected component (if applicable):
rhythmbox-0.9.5-4.fc6


How reproducible:
always


Steps to Reproduce:
1. play music from some DAAP source
2. kill the source


Actual results:
My rhythmbox freezes


Expected results:
My rhythmbox switches to local files and continues playing


Additional info:
Traceback is attached (killed program after some time when the gui was not 
responding - on 6th line of attached file)
I think (not sure), this is regression to FC5 where it worked as described in 
"Expected results:" - could somebody confirm it?
Comment 1 Jan Hutař 2006-11-22 10:29:55 EST
Created attachment 141911 [details]
backtrace - RB killed on row 6
Comment 2 RHEL Product and Program Management 2006-11-27 21:26:51 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Bastien Nocera 2006-11-28 09:37:07 EST
Here's the backtrace that was attached:

(rhythmbox:20589): Rhythmbox-WARNING **: Unable to lookup source for URI:
daap://192.168.1.53:3689/databases/1/items/327.mp3?session-id=3266797636
(rhythmbox:20589): Rhythmbox-WARNING **: sync_playing_entry_cb: Unhandled error:
Neznámá chyba při přehrávání
[Thread -1261577328 (LWP 20616) exited]
[Thread -1297728624 (LWP 20613) exited]
Program received signal SIGINT, Interrupt.
[Switching to Thread -1208764704 (LWP 20589)]
0x0053e402 in __kernel_vsyscall ()
(gdb) bt
#0  0x0053e402 in __kernel_vsyscall ()
#1  0x4876098e in __lll_mutex_lock_wait () from /lib/libpthread.so.0
#2  0x4875c7fc in _L_mutex_lock_85 () from /lib/libpthread.so.0
#3  0x4875c33d in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0x48f97b1c in gdk_threads_leave () from /usr/lib/libgdk-x11-2.0.so.0
#5  0x48fc4837 in gdk_event_send_client_message_for_display ()
   from /usr/lib/libgdk-x11-2.0.so.0
#6  0x48983812 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x48983fe5 in g_main_context_check () from /lib/libglib-2.0.so.0
#8  0x489846c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#9  0x48bf3be4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x08069c41 in main (argc=1, argv=0xbfdaee74) at main.c:375

It's not useful as only the main thread is displayed. Could you please attach
the output of "thread apply all bt", instead of just "bt". Which program were
you using on the source computer to share those files?
Comment 4 Jan Hutař 2006-11-30 05:07:35 EST
Hello,
I made what you wanted me to do: backtrace obtained with "thread apply all bt" 
- program got unresponsive on row 55 of attached backtrace, pressed Ctrl+C.

My system:
$ rpm -q rhythmbox
rhythmbox-0.9.5-4.fc6
$ cat /etc/redhat-release 
Red Hat Enterprise Linux Client release 4.92 (Tikanga)

Source system:
$ rpm -q rhythmbox
rhythmbox-0.9.5-7.fc6
$ cat /etc/redhat-release 
Red Hat Global Desktop release 0.91 (Mayhem)

Please NEEDINFO me, if you will need another infos.
Comment 5 Jan Hutař 2006-11-30 05:09:12 EST
Created attachment 142469 [details]
program got unresponsive on row 55 -> pressed Ctrl+C
Comment 6 Alexander Larsson 2006-11-30 05:43:20 EST
Here is the interesting part inline:
Thread 21 (Thread -1285071984 (LWP 31089)):
#0  0x00f25402 in __kernel_vsyscall ()
#1  0x4875e1a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x49b27258 in gst_system_clock_obtain ()
   from /usr/lib/libgstreamer-0.10.so.0
#3  0x4899efcf in g_thread_create_full () from /lib/libglib-2.0.so.0
#4  0x4875a3db in start_thread () from /lib/libpthread.so.0
#5  0x486b314e in clone () from /lib/libc.so.6

Thread 9 (Thread -1274188912 (LWP 31077)):
#0  0x00f25402 in __kernel_vsyscall ()
#1  0x4875e42c in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x495b1fa3 in ?? () from /lib/libgthread-2.0.so.0
#3  0x48964681 in g_async_queue_sort () from /lib/libglib-2.0.so.0
#4  0x489647b6 in g_async_queue_timed_pop () from /lib/libglib-2.0.so.0
#5  0x080d69a8 in action_thread_main (db=0x9726018) at rhythmdb.c:1795
#6  0x4899efcf in g_thread_create_full () from /lib/libglib-2.0.so.0
#7  0x4875a3db in start_thread () from /lib/libpthread.so.0
#8  0x486b314e in clone () from /lib/libc.so.6

Thread 1 (Thread -1208654112 (LWP 31065)):
#0  0x00f25402 in __kernel_vsyscall ()
#1  0x4876098e in __lll_mutex_lock_wait () from /lib/libpthread.so.0
#2  0x4875c7fc in _L_mutex_lock_85 () from /lib/libpthread.so.0
#3  0x4875c33d in pthread_mutex_lock () from /lib/libpthread.so.0
#4  0x48f97b1c in gdk_threads_leave () from /usr/lib/libgdk-x11-2.0.so.0
#5  0x48fc4837 in gdk_event_send_client_message_for_display ()
   from /usr/lib/libgdk-x11-2.0.so.0
#6  0x48983812 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x48983fe5 in g_main_context_check () from /lib/libglib-2.0.so.0
#8  0x489846c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#9  0x48bf3be4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x08069c41 in main (argc=1, argv=0xbf9afa74) at main.c:375
Comment 7 Alexander Larsson 2006-11-30 05:47:36 EST
All thread seems to be stuck in some thread-related wait. Maybe its a deadlock?

What exactly do you mean by row 55? No thread goes past #10.
Comment 8 Bastien Nocera 2006-11-30 06:22:52 EST
Can't really do anything with that trace, would need to test with RHEL5, but I
believe it's an upstream bug.
Comment 9 Jan Hutař 2006-11-30 07:11:06 EST
Well, as far as I can remember, this was without problem in FC5 :-/

ad "What exactly do you mean by row 55?": here I pressed Ctrl+C because program 
was unresponsive (otherwise nothing happens) - see attached backtrace file. 
Lines 1 - 54 is working program, 55 is Ctrl+C :)

Let me know if you need something from me.
Comment 10 Bastien Nocera 2007-01-30 18:31:32 EST
Sounds like:
http://bugzilla.gnome.org/show_bug.cgi?id=362226
Comment 11 Jan Hutař 2007-02-08 04:42:11 EST
In fact there is "Try to play
a song. Rhythmbox hangs completely." in that "Bug 362226 – Hang when DAAP 
server does not respond" you linked.

In my case, Rhythmbox plays music from DAAP, but hangs when DAAP source 
(server) goes down (e.g. playing music from Michal and Michal turns off his 
Rhythmbox and my Rhythmbox hangs).

But it probably could be related somehow.
Comment 12 Matěj Cepl 2007-02-15 19:42:47 EST
If this issue turns out to still be reproduceable in the latest updates for this
Fedora Core release, please file a bug report in the Gnome bugzilla located at
http://bugzilla.gnome.org.

Once you've filed your bug report, if you paste the new bug URL here, Red Hat
will continue to track the issue in the centralized upstream bug tracker, and
will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 13 Daniel Riek 2007-03-15 14:31:47 EDT
Removing old pm_ack
Comment 14 Jan Hutař 2007-03-15 15:17:27 EDT
Thing is, I still wasn't able to even play music from other DAAP server in 
rawhide. Firewall is down, Avahi is running, I can see DAAP servers, but I 
can't play from them. I'll keep trying.
Comment 15 RHEL Product and Program Management 2007-06-05 16:49:37 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Since this
bugzilla is in a component that is not approved for the current
release, it has been closed with resolution deferred.  You may
reopen this bugzilla for consideration in the next release.
Comment 16 Bastien Nocera 2008-08-26 05:45:56 EDT
Please test again in RHEL 5.3 when that's released.
Comment 17 Jan Hutař 2010-03-29 03:54:53 EDT
Hello, I'm not using this feature any more. Thank you, Jan
Comment 18 Matěj Cepl 2010-04-21 17:28:51 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.